<?php
include 'header.php';
include 'mysqli_connect.php';

$name = $comment = $error = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (empty($_POST['name']) || empty($_POST['comment'])) {
        $error = "All fields are required.";
    } else {
        $name = $_POST['name'];
        $comment = $_POST['comment'];
        
        $sql = "INSERT INTO guestbook (name, comment) VALUES (?, ?)";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("ss", $name, $comment);
        
        if ($stmt->execute()) {
            header("Location: index.php");
            exit;
        } else {
            $error = "Error adding comment: " . $conn->error;
        }
    }
}
?>

<h2>Add a Comment</h2>
<form method="post" action="comment.php">
    <label for="name">Name:</label>
    <input type="text" name="name" id="name" value="<?php echo htmlspecialchars($name); ?>"><br>

    <label for="comment">Comment:</label>
    <textarea name="comment" id="comment"><?php echo htmlspecialchars($comment); ?></textarea><br>

    <button type="submit">Submit Comment</button>
</form>
<?php if ($error) echo "<p style='color:red;'>$error</p>"; ?>

<?php include 'footer.php'; ?>
