<?php
session_start();
include('mysqli_connect.php');

// Restrict access to admins only
if (!isset($_SESSION['is_admin']) || $_SESSION['is_admin'] != 1) {
    header('Location: index.php'); // Redirect non-admins
    exit();
}

// Fetch all blog posts
$query = "SELECT * FROM blogposts";
$result = mysqli_query($dbc, $query);
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<?php include 'navbar.php'; ?>
<div class="container">
    <h1>Admin Dashboard</h1>
    <p>Welcome, Admin!</p>

    <h2>Manage Blog Posts</h2>
    <?php if (mysqli_num_rows($result) > 0): ?>
        <?php while ($row = mysqli_fetch_assoc($result)): ?>
            <div>
                <h3><?= htmlspecialchars($row['blogpost_title']) ?></h3>
                <p><?= htmlspecialchars($row['blogpost_body']) ?></p>
                <small>Posted by User ID: <?= $row['user_id'] ?> on <?= $row['blogpost_timestamp'] ?></small>
                <br>
                <a href="update.php?blogpost_id=<?= $row['blogpost_id'] ?>">Update</a>
                <a href="delete.php?blogpost_id=<?= $row['blogpost_id'] ?>">Delete</a>
            </div>
        <?php endwhile; ?>
    <?php else: ?>
        <p>No blog posts found. <a href="newblogpost.php">Add a new post</a>.</p>
    <?php endif; ?>

    <h2>Actions</h2>
    <ul>
        <li><a href="add_sample_posts.php">Add Sample Blog Posts</a></li>
        <li><a href="manage_users.php">Manage Users</a></li>
        <li><a href="index.php">View All Blog Posts</a></li>
    </ul>
</div>
</body>
</html>
