<?php
session_start();
include('mysqli_connect.php');

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php'); // Redirect to login if not logged in
    exit();
}

// Determine user_id
$user_id = ($_SESSION['user_id'] === 'admin') ? 1 : intval($_SESSION['user_id']);

// Check if user_id is valid
if (!$user_id || !is_numeric($user_id)) {
    die('Invalid user ID. Please log in again.');
}

// Validate blogpost_id
if (!isset($_GET['blogpost_id']) || !is_numeric($_GET['blogpost_id'])) {
    die('Invalid blogpost ID.');
}

$blogpost_id = intval($_GET['blogpost_id']);

// Handle the form submission
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Validate and sanitize inputs
    $comment_body = mysqli_real_escape_string($dbc, trim($_POST['comment_body']));

    if (empty($comment_body)) {
        die('Comment cannot be empty.');
    }

    // Insert the new comment
    $query = "INSERT INTO comments (user_id, blogpost_id, comment_body) VALUES ('$user_id', '$blogpost_id', '$comment_body')";
    mysqli_query($dbc, $query) or die(mysqli_error($dbc));

    // Redirect back to the comments page
    header("Location: viewcomments.php?blogpost_id=$blogpost_id");
    exit();
}
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<?php include 'navbar.php'; ?>
<div class="container">
    <h1>Add a Comment</h1>
    <form action="newcomment.php?blogpost_id=<?= intval($_GET['blogpost_id']) ?>" method="post">
        <textarea name="comment_body" placeholder="Write your comment here" required></textarea>
        <button type="submit">Submit</button>
    </form>
</div>
</body>
</html>
