<?php
// Include the database connection
include 'includes/mysqli.php';

// Fetch featured properties
$query = "SELECT * FROM properties WHERE status = 'active' ORDER BY created_at DESC LIMIT 6";
$result = $conn->query($query);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Peterson Real Estate Investment LLC</title>
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css">
</head>
<body>
    <!-- Navigation Bar -->
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand" href="#">
                <img src="assets/images/logo.png" alt="Peterson Real Estate Investment LLC">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a class="nav-link" href="login.php">Login</a></li>
                    <li class="nav-item"><a class="nav-link" href="register.php">Register</a></li>
                    <li class="nav-item"><a class="nav-link" href="property.php">Browse Properties</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- Hero Section -->
    <div class="hero">
        <h1>Peterson Real Estate Investment LLC</h1>
        <p>We make finding your dream home simple, seamless, and enjoyable.</p>
        <a href="property.php" class="btn btn-lg">Explore Properties</a>
    </div>

    <!-- Featured Properties Section -->
    <div class="container my-5">
        <h2 class="text-center">Featured Properties</h2>
        <div class="row">
            <?php if ($result->num_rows > 0): ?>
                <?php while ($row = $result->fetch_assoc()): ?>
                    <div class="col-md-4 my-3">
                        <div class="card">
                            <img src="uploads/<?= htmlspecialchars($row['images']) ?>" alt="Property Image">
                            <div class="p-3">
                                <h3 class="card-title"><?= htmlspecialchars($row['title']) ?></h3>
                                <p class="card-text"><?= htmlspecialchars($row['location']) ?></p>
                                <p class="text-muted">$<?= number_format($row['price'], 2) ?></p>
                                <a href="property.php?id=<?= $row['id'] ?>" class="btn btn-outline-dark btn-sm">View Details</a>
                            </div>
                        </div>
                    </div>
                <?php endwhile; ?>
            <?php else: ?>
                <p class="text-center">No properties available right now. Check back later!</p>
            <?php endif; ?>
        </div>
    </div>

    <!-- Footer -->
    <footer class="footer">
        <p>&copy; <?= date('Y') ?> Peterson Real Estate Investment LLC. All Rights Reserved.</p>
    </footer>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
